Subject: Re: [SUA issue 17] IPSP cases.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 4 Sep 2001 01:09:38 -0500

John,

On Tue, 04 Sep 2001, John Loughney wrote:

> Hi Brian,
> 
> > > > Which IPSP sends APSUP?  
> > > 
> > > Whichever one wants to.
> > > 
> > > > What happens if both IPSPs sends ASPUP?
> > > 
> > > Both MUST send ASPUP messages and ASPUP-ACK messages before
> > > traffic can flow.
> > 
> > These two statements don't appear consistent: "[w]hichever
> > one wants to" and "[b]oth MUST".
> 
> I did not mean them to contradict.  I meant that whichever
> one wants to can INITIATE sending the ASPUP, however both
> need to send ASPUP & ASPUP-ACK before traffic can flow.

Now I'm confused.  The text you proposed for section 4.3.4.1.2 does
not have both IPSPs sending ASPUP before traffic flows.  That text
indicates that only one side need send the ASPUP and that when the
procedure completes with an ASPUP Ack that both sides will mark the
other ASP-INACTIVE.

Which is it?

> 
>  
> > > > When one IPSP sends ASPAC for an RC does it activate it for both
> > > > IPSPs?  Or, does the other IPSP need to send ASPAC as well?  
> > > 
> > > Yes.
> > 
> > Yes ASPAC activates for both?  Or, yes, the other nees to 
> > send as well?
> 
> I shall add qualifying text.  I believe that RC have signifigance for
> the AS which it applies to.

I still don't know how you propose for ASPAC to work.  Is this the
symmetrical case or the asymmetrical case as you proposed for ASPUP?

>  
> > > > Can an SG be both an SGP and an IPSP?
> > > 
> > > No, but I believe that it can have both sets of functionality.
> > > What I mean is that there can be an IPSP process and a SG Process
> > > running on the same network node.  I'd be hesitant to call it
> > > a SG, though.
> > 
> > Let me frame the question a bit more: Can a node present both
> > SGP and IPSP functionalith to the same SCCP-User?
> 
> I see this as a configuaration question.  Logically the functions
> of SGP & IPSP are seperate.

The question is whether it is logically possible to have one user
working in both modes.  And whether this is supported by the protocol.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]